geos::algorithm::distance::DiscreteFrechetDistance::RectMatrix Class Reference

`#include <DiscreteFrechetDistance.h>`

Inheritance diagram for geos::algorithm::distance::DiscreteFrechetDistance::RectMatrix:

## Public Member Functions

| RectMatrix (std::size_t numRows, std::size_t numCols, double defaultValue)
double | get (std::size_t i, std::size_t j) const override
void | set (std::size_t i, std::size_t j, double value) override
bool | isValueSet (std::size_t i, std::size_t j) const override
Public Member Functions inherited from geos::algorithm::distance::DiscreteFrechetDistance::MatrixStorage
| MatrixStorage (std::size_t numRows, std::size_t numCols, double defaultValue)

## Additional Inherited Members

Public Attributes inherited from geos::algorithm::distance::DiscreteFrechetDistance::MatrixStorage
std::size_t | m_numRows
std::size_t | m_numCols
double | m_defaultValue

## Detailed Description

Straight forward implementation of a rectangular matrix

## Constructor & Destructor Documentation

## RectMatrix()

geos::algorithm::distance::DiscreteFrechetDistance::RectMatrix::RectMatrix | ( | std::size_t | numRows,
|  | std::size_t | numCols,
|  | double | defaultValue )

inline

Creates an instance of this matrix using the given number of rows and columns. A default value can be specified

Parameters

  numRows | the number of rows
  numCols | the number of columns
  defaultValue | A default value

References geos::algorithm::distance::DiscreteFrechetDistance::MatrixStorage::MatrixStorage().

## Member Function Documentation

## get()

double geos::algorithm::distance::DiscreteFrechetDistance::RectMatrix::get | ( | std::size_t | i,
|  | std::size_t | j ) const

inline override virtual

Gets the matrix value at i, j

Parameters

  i | the row index
  j | the column index

Returns
  The matrix value at i, j

Implements geos::algorithm::distance::DiscreteFrechetDistance::MatrixStorage.

Referenced by isValueSet().

## isValueSet()

bool geos::algorithm::distance::DiscreteFrechetDistance::RectMatrix::isValueSet | ( | std::size_t | i,
|  | std::size_t | j ) const

inline override virtual

Gets a flag indicating if the matrix has a set value, e.g. one that is different than MatrixStorage defaultValue.

Parameters

  i | the row index
  j | the column index

Returns
  a flag indicating if the matrix has a set value

Implements geos::algorithm::distance::DiscreteFrechetDistance::MatrixStorage.

References get().

## set()

void geos::algorithm::distance::DiscreteFrechetDistance::RectMatrix::set | ( | std::size_t | i,
|  | std::size_t | j,
|  | double | value )

inline override virtual

Sets the matrix value at i, j

Parameters

  i | the row index
  j | the column index
  value | The matrix value to set at i, j

Implements geos::algorithm::distance::DiscreteFrechetDistance::MatrixStorage.

The documentation for this class was generated from the following file:

- DiscreteFrechetDistance.h